<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="stylesheet" href="/webjars/bootstrap/4.4.1-1/css/bootstrap.css"/>

    <title>Import RIS</title>
</head>
<body>
<div layout:fragment="content">
    <form method="post" action="#" enctype="multipart/form-data" th:object="${importForm}"
          th:action="@{/databases/{database}/import/ris(database=${database.id})}">
        <input type="hidden" th:name="${_csrf.parameterName}" th:value="${_csrf.token}"/>
        <input type="hidden" th:field="*{type}">
        <fieldset>
            <div class="form-group row">
                <label for="ris_content" class="col-4 col-form-label">RIS content</label>
                <div class="col-8">
                    <div class="input-group">
                        <textarea id="ris_content" class="form-control" name="ris_content"
                                  th:field="*{content}"></textarea>
                        <div class="input-group-append">
                            <div class="input-group-text">
                                <i class="fa fa-align-justify"></i>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="custom-file">
                <input type="file" class="custom-file-input" id="ris_file" name="ris_file" th:field="*{file}">
                <label class="custom-file-label" for="ris_file">
                    Choose file
                </label>
            </div>
        </fieldset>

        <button>Submit</button>
    </form>
</div>


</body>
</html>